> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Renew a policy

> This action allows you as a merchant to submit a renewal
request for your customer



## OpenAPI

````yaml post /api/v1/policies/renew/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/policies/renew/:
    post:
      tags:
        - Policies
      summary: Renew a policy
      description: |-
        This action allows you as a merchant to submit a renewal
        request for your customer
      operationId: renew-policy
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolicyRenewalRequest'
            examples:
              PolicyRenewalExample:
                value:
                  policy_id: ba4fc272-5591-4812-9f36-48c3ffb27a69
                  preferred_policy_start_date: '2025-02-02'
                  policy_duration: 180
                summary: Policy Renewal Example
              DetailedPolicyRenewalExample:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  preferred_policy_start_date: '2024-01-01'
                  policy_duration: 180
                  include_additional_coverage: true
                  modify_exisitng_coverage: true
                  coverage_details:
                    coverage_type: Extended Health Coverage
                    additional_amount: 5000
                    covered_items:
                      - Dental
                      - Vision
                      - Physiotherapy
                  auto_renew: false
                summary: Detailed Policy Renewal Example
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PolicyRenewalRequest'
            examples:
              PolicyRenewalExample:
                value:
                  policy_id: ba4fc272-5591-4812-9f36-48c3ffb27a69
                  preferred_policy_start_date: '2025-02-02'
                  policy_duration: 180
                summary: Policy Renewal Example
              DetailedPolicyRenewalExample:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  preferred_policy_start_date: '2024-01-01'
                  policy_duration: 180
                  include_additional_coverage: true
                  modify_exisitng_coverage: true
                  coverage_details:
                    coverage_type: Extended Health Coverage
                    additional_amount: 5000
                    covered_items:
                      - Dental
                      - Vision
                      - Physiotherapy
                  auto_renew: false
                summary: Detailed Policy Renewal Example
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PolicyRenewalRequest'
            examples:
              PolicyRenewalExample:
                value:
                  policy_id: ba4fc272-5591-4812-9f36-48c3ffb27a69
                  preferred_policy_start_date: '2025-02-02'
                  policy_duration: 180
                summary: Policy Renewal Example
              DetailedPolicyRenewalExample:
                value:
                  policy_id: d5c36562-b86f-4e97-8288-8c6cb2da35ef
                  policy_number: INS-2023-00001
                  preferred_policy_start_date: '2024-01-01'
                  policy_duration: 180
                  include_additional_coverage: true
                  modify_exisitng_coverage: true
                  coverage_details:
                    coverage_type: Extended Health Coverage
                    additional_amount: 5000
                    covered_items:
                      - Dental
                      - Vision
                      - Physiotherapy
                  auto_renew: false
                summary: Detailed Policy Renewal Example
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolicyRenewal'
              examples:
                SuccessfulRenewalExample:
                  value:
                    renewal_status: success
                    message: Policy Renewal successful
                    data:
                      policy_number: POL-2021-01-0001
                      policy_duration: 365
                      policy_metadata:
                        product_name: Basic Health Coverage
                        product_type: Health
                        insurer: Reliance Health
                        customer_name: Janet Joestar
                        customer_email: janet.joe@email.com
                        customer_phone: +234 123 456 7890
                        customer_address: 123, Main Street, Lagos, Nigeria
                        policy_status: active
                        policy_id: e2f7ca44-905a-4e22-b31f-2d1f23fb1c07
                        renewable: true
                      renewal_date: '2024-11-01'
                  summary: Successful Renewal Example
          description: Insurance Policy Renewal successful
        '400':
          description: Bad request
        '404':
          description: Policy not found
        '500':
          description: Server error
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PolicyRenewalRequest:
      type: object
      description: Validates a policy renewal request
      properties:
        policy_id:
          type: string
          format: uuid
        policy_number:
          type: string
        preferred_policy_start_date:
          type: string
          format: date
        policy_duration:
          type: integer
          maximum: 365
          minimum: 1
        include_additional_coverage:
          type: boolean
          default: false
        modify_exisitng_coverage:
          type: boolean
          default: false
        coverage_details: {}
        auto_renew:
          type: boolean
          default: false
      required:
        - policy_duration
        - preferred_policy_start_date
    PolicyRenewal:
      type: object
      description: Formats response information for insurance renewal request
      properties:
        policy_id:
          type: string
          format: uuid
          description: Unique identifier for the policy
        policy_number:
          type: string
          nullable: true
          description: >-
            Policy Refrence Number assigned by the insurer e.g GI86585700-1,
            AXA2024727-2, LEAD18002-42, etc
        policy_duration:
          type: string
          format: date
          readOnly: true
        policy_metadata:
          $ref: '#/components/schemas/PolicyMetadata'
        renewal_date:
          type: string
          format: date
          readOnly: true
      required:
        - policy_duration
        - policy_metadata
        - renewal_date
    PolicyMetadata:
      type: object
      description: >-
        Formats response information for insurance renewal request


        Its a limited view  of the PolicySerializer - exposing just enough
        informtion
      properties:
        product_name:
          type: string
        product_type:
          type: string
        insurer:
          type: string
        customer_name:
          type: string
          description: Returns the full name of the policy holder
          readOnly: true
        customer_email:
          type: string
          format: email
        customer_phone:
          type: string
        customer_address:
          type: string
        policy_status:
          type: string
        policy_id:
          type: string
          format: uuid
          description: Unique identifier for the policy
        renewable:
          type: boolean
          description: Indicates if the policy is renewable
      required:
        - customer_address
        - customer_email
        - customer_name
        - customer_phone
        - insurer
        - policy_status
        - product_name
        - product_type
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````